Subject: bug#75532: [PATCH 0/1] Proposed new feature for the shred command

From: Pádraig Brady <[email-masked]>
Date: Mon, 13 Jan 2025 10:53:23 +0000

tag 75532 notabug
close 75532
stop

details below...

On 12/01/2025 18:50, TheJostler wrote:
> From: Josjuar Lister <[email-masked]>
> 
> Hello Coreutils team,
> 
> My name is Josjuar Lister, I am a 28 year old free-lance software developer from the United Kingdom.
> My main work though is System Administration and Security, and of course I'm an avid Linux user.
> 
> Shred is a tool I often used beause I like many others, value my privacy and security.
> 
> I've often needed to securely delete many files in a directory and its subdirectories, but shred does not have a feature to do this.
> Oftentimes, I have written scripts to recursively shred files in a directory, but I think it would be useful to have this feature built into the shred command itself.
> I decided to add this feature to the shred command and I have tested it to ensure it works as expected.
> 
> I would appreciate it if you could review this patch and consider including it in the next release of coreutils.

This was previously discussed at:
https://www.gnu.org/software/coreutils/rejected_requests.html#shred

The considerations haven't changed in the meantime,
so I'm not on for applying this.

thank you,
Pádraig.